package com.tykj.dev.misc.exception;

import org.springframework.http.ResponseEntity;

/**
 * 全局错误处理类，用于处理一些不容易定义的错误
 * @author HuangXiahao
 **/
public class ApiException extends RuntimeException {

    private ResponseEntity responseEntity;

    public ApiException(ResponseEntity responseEntity) {
        this.responseEntity = responseEntity;
    }

    public ResponseEntity getResponseEntity() {
        return responseEntity;
    }

    public void setResponseEntity(ResponseEntity responseEntity) {
        this.responseEntity = responseEntity;
    }
}
